org.apache.lucene.search.grouping

## Class DoubleRange

- java.lang.Object
- - org.apache.lucene.search.grouping.DoubleRange

    public class DoubleRange
    extends Object

Represents a contiguous range of double values, with an inclusive minimum and exclusive maximum

### Field Summary

Fields
`double` `max` The exclusive maximum value of this range
`double` `min` The inclusive minimum value of this range

### Constructor Summary

Constructors
Constructor and Description
`DoubleRange(double min, double max)` Creates a new double range, running from `min` inclusive to `max` exclusive

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### min

    public double min

The inclusive minimum value of this range

#### max

    public double max

The exclusive maximum value of this range

### Constructor Detail

#### DoubleRange

    public DoubleRange(double min,
                       double max)

Creates a new double range, running from `min` inclusive to `max` exclusive

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`